Slider

Symbol:

Description:

This function block can be used for input of BYTE, WORD, LONG or FLOAT values.

This works by using the slider with the mouse. The output value represents the position of the slider in relation to given the minimum and maximum value.

Parameter:

In the parameter dialog there are three tabs available to change several preferences.

The first tab can be used for basic control parameter. These are the data type, the minimum and maximum value, the start value and the step size for the value change.

The second tab is used for representation preferences. Here the size of the function block, the slide direction, the general view mode, the colors of the different elements of the function block and the width of the slider button can be set.

The third tab is used for scale and value display options. Here can be defined, whether a scale is displayed at all or not and if so, its features can be set (position, with or without values, color and number of tics). The actual value can be set to be displayed or not, too. If shown, the colors can be chosen. Additional the general text size can be selected.

Signals:

Name

I/O

Type(s)

Function

OUT

O

BYTE, WORD, LONG, FLOAT

Output value

Comment:

This function block doesn’t have any target system code.


Switch / Button

Symbol:

Description:

This function block can be used for input of bit values.

This input is executed by the user by a mouse click on the symbol. The function block can be used as a switch or a push button.

Parameter:

In the parameter dialog there are two tabs available to change several preferences.

The first tab can be used for basic control parameter. These are the operation mode (switch or button), the label for the function block and the start state (if used as a switch).

The second tab is used for representation preferences. Here the size of the function block, the colors for the different states and the parameter for the label (alignment, text size and font) can be set.

Signals:

Name

I/O

Type(s)

Function

Out

O

BIT

Signal output of user input

Comment:

This function block doesn’t have any target system code.